Date: Mon, 28 Jul 1997 11:51:01 +0200
From: Jes Sorensen <Jes.Sorensen@cern.ch>
To: linux-m68k@phil.uni-sb.de
Subject: L68K: serial (again)
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Baaaahh

Of course I had to forget to include the actual patch ... here we go
again.

Jes

--- /pack/kom/linux/test/linux-2.1.47/drivers/char/m68kserial.c	Wed Jun 25 12:17:20 1997
+++ linux/drivers/char/m68kserial.c	Mon Jul 28 11:29:47 1997
@@ -91,21 +91,21 @@
 #include <linux/kerneld.h>
 #endif
 
-#ifdef CONFIG_AMIGA
+#ifdef CONFIG_AMIGA_BUILTIN_SERIAL
 int amiga_serinit (void);
+#endif
 
 #ifdef CONFIG_GVPIOEXT
 int ioext_init (void);
 #endif
 
 #ifdef CONFIG_MULTIFACE_III_TTY
+int multiface_init(void);
+#endif
 
 #ifdef CONFIG_WHIPPET
 int whippet_init (void);
 #endif
-int multiface_init(void);
-#endif
-#endif
 
 DECLARE_TASK_QUEUE(tq_serial);
 
@@ -1492,6 +1492,9 @@
 #ifdef CONFIG_MULTIFACE_III_TTY
 	    multiface_init();
 #endif
+#ifdef CONFIG_WHIPPET
+            whippet_init();
+#endif
 	    break;
 	} /* end switch on machine type */
 #endif
@@ -1528,8 +1531,6 @@
 		    return -EINVAL;
 		if (rs_table[req->line].type != PORT_UNKNOWN ||
 #endif
-#ifdef CONFIG_WHIPPET
-            whippet_init();
 		    rs_table[req->line].count > 0) {
 		    /* already allocated */
 		    restore_flags(flags);
@@ -1538,7 +1539,6 @@
 		i = req->line;
 	}
 	else {
-#endif
 		for (i = 0; i < NR_PORTS; i++)
 			if ((rs_table[i].type == PORT_UNKNOWN) &&
 			    (rs_table[i].count == 0))
